package com.zaojiao.app.feat.home.plan

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.ui.Modifier
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.lifecycle.compose.collectAsStateWithLifecycle
import com.zaojiao.app.data.model.studyplan.StudyPlanTodayModel
import com.zaojiao.app.data.model.studyplan.StudyPlanTomorrowModel
import com.zaojiao.app.feat.design.StatePage

@Composable
fun HomePlanIndexPage(
    viewModel: HomePlanViewModel = hiltViewModel()
) {
    val uiState by viewModel.stateFlow.collectAsStateWithLifecycle()

    StatePage(uiState = uiState) {
        LazyColumn(
            modifier = Modifier.fillMaxWidth()
        ) {
            item {
                HomePlanTomorrow(tomorrowPlanList = this@StatePage.tomorrowPlanList)
            }

            item{
                HomePlanToday(todayPlanList = this@StatePage.todayPlanList)
            }
        }
    }
}

@Composable
internal fun HomePlanTomorrow(
    tomorrowPlanList: List<StudyPlanTomorrowModel>
) {

}

@Composable
internal fun HomePlanToday(
    todayPlanList: List<StudyPlanTodayModel>
) {

}